Page MenuHomePhabricator

Change lang and xml:lang in no.wikipedia from ‘no’ to ‘nb’
Closed, ResolvedPublic

Description

The lang and xml:lang attributes in the <html> tag on the Norwegian (Bokmål) Wikipedia should be changed from ‘no’ to ‘nb’. The ‘no’ code is really ‘nb + nn’, but the Norwegian (Bokmål) Wikipedia only has content in Bokmål, and not in Nynorsk (nn). The URL is still no.wikipedia for historical reasons - in short, the Wikipedia used to have both variants of Norwegian, until the Nynorsk Wikipedia was created, and no.wikipedia started just having Bokmål content.

This change should only go for no.wikipedia though - other ‘no’ projects (Wikisource, Wikibooks, Wiktionary and Wikiquote) should still have ‘no’ in the language tags, as they allow both varieties.


Version: unspecified
Severity: enhancement
URL: http://no.wikipedia.org/

Details

Reference
bz12317

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:55 PM
bzimport set Reference to bz12317.
bzimport added a subscriber: Unknown Object (MLST).
jhsoby created this task.Dec 15 2007, 5:45 PM

ekkoekko wrote:

I second this motion

oddeivind wrote:

(In reply to comment #1)

I second this motion

I support it as well, as this is a question of minority rights. By the way, how will there be made a decision on this?

jhsoby added a comment.EditedJan 16 2009, 10:51 PM

Please note that this bug is only for the metadata in the HTML source, not for the language code for the wiki itself.

oddeivind wrote:

Is it not for cnaging no.wikipedia.org to nb.wikipedia.org?

No, it is not.

nsaa.wikipedia wrote:

There's a lengthy discussion on http://no.wikipedia.org/wiki/Wikipedia:Tinget#no_.3E_nb about the issue regarding moving no.wikipedia.org to nb.wikipedia.org. There's no agreement on the moving, and even then, it's not correct to place this wiki under the language code nb. The official bokmål (nb code) is regulated by Språkrådet (http://en.wikipedia.org/wiki/Norwegian_Language_Council) and the riksmål is regulated by the academy Det Norske Akademi for Sprog og Litteratur (http://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature).

bugs wrote:

(In reply to comment #6)

There's a lengthy discussion on
http://no.wikipedia.org/wiki/Wikipedia:Tinget#no_.3E_nb about the issue
regarding moving no.wikipedia.org to nb.wikipedia.org. There's no agreement on
the moving, and even then, it's not correct to place this wiki under the
language code nb. The official bokmål (nb code) is regulated by Språkrådet
(http://en.wikipedia.org/wiki/Norwegian_Language_Council) and the riksmål is
regulated by the academy Det Norske Akademi for Sprog og Litteratur
(http://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature).

It's *not* about moving no.wp.o to nb.wp.o. For that, see Bug 17047.

nsaa.wikipedia wrote:

But it's what lang code the site should be identified as in the html header, and in that regard it's relevant (and it should not be changed)

kontoenmin wrote:

no.wikinews, no.wikibooks and no.wikisource are, as Søby says, common projects.

Note, however, that there are two seperate wikiquote projects, nn. written in nynorsk and no. in bokmål. Both, on the other hand, have untranslated quotes from the other standard: http://nn.wikiquote.org/w/index.php?oldid=6647 and http://no.wikiquote.org/w/index.php?oldid=13750 . Also, no.wikiqoute links to both wikipedias, at least in this example: http://no.wikiquote.org/w/index.php?oldid=13032. So how do they fit ito the picture?

The future of the wiktionaries does not seem to be certain, but no. is an attempt at a common project and nn. has little activity. Is this bug in any way to blame for the fact that pt.wiktionary distinguishes between Norwegian and Nynorsk and not between Bokmål and Nynorsk? (en.Wiktionary seem to know what they are doing, they just need to do a little cleaning up.)

Does this cease to be an issue if no.wikipedia moves to nb.wikipedia?

soulkeeper.wikipedia wrote:

(In reply to comment #8)

But it's what lang code the site should be identified as in the html header,
and in that regard it's relevant (and it should not be changed)

(In reply to comment #8)

But it's what lang code the site should be identified as in the html header,
and in that regard it's relevant (and it should not be changed)

Even Riksmålsforbundet acknowledges that nb is the most accurate language code for riksmål. Why should we be holier than the pope?

soulkeeper.wikipedia wrote:

(In reply to comment #9)

Is this bug in any way
to blame for the fact that pt.wiktionary distinguishes between Norwegian and
Nynorsk and not between Bokmål and Nynorsk? (en.Wiktionary seem to know what
they are doing, they just need to do a little cleaning up.)

Likely, yes.

Does this cease to be an issue if no.wikipedia moves to nb.wikipedia?

Yes. But that does not seem a likely outcome.

siebrand closed this task as Resolved.Jun 18 2015, 9:03 PM
siebrand claimed this task.
siebrand added a subscriber: siebrand.

The requested behaviour has been in place for a while now.

Koavf added a subscriber: Koavf.Aug 25 2015, 6:30 AM
Koavf removed a subscriber: Koavf.
Koavf added a subscriber: Koavf.
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:28 PM
Nsaa added a subscriber: Nsaa.Oct 7 2016, 6:42 AM